package ir.samaneahan.application

import android.annotation.SuppressLint
import android.content.Intent
import android.content.pm.PackageManager
import android.os.Bundle
import android.os.Handler
import android.os.Looper
import androidx.appcompat.app.AppCompatActivity
import kotlinx.android.synthetic.main.activity_splash.*



class ActivitySplash : AppCompatActivity() {


    @SuppressLint("SetTextI18n")
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_splash)



        try {
            val pInfo = packageManager.getPackageInfo(packageName, 0)
            val currentVersion = pInfo.versionName
            appVersion.text = " Version: $currentVersion"

        } catch (e: PackageManager.NameNotFoundException) {
            e.printStackTrace()
        }


        /*   val animPushUp = AnimationUtils.loadAnimation(this@ActivitySplash, R.anim.push_up_in)
           val animPushDown = AnimationUtils.loadAnimation(this@ActivitySplash, R.anim.push_down_in)
           //tvSlang.startAnimation(animPushUp)
           imgLogo.startAnimation(animPushDown)*/

     /*   val path = "android.resource://" + packageName + "/" + R.raw.splash_video
        videoViewRelative.setVideoURI(Uri.parse(path))
        videoViewRelative.start()*/

        //videoView
        Handler(Looper.getMainLooper()).postDelayed({
            startActivity(Intent(this@ActivitySplash, MainActivity::class.java))
            finish()
        }, App.SPLASH_TIME)


    }


}
