package ir.samaneahan.application


import android.os.Bundle
import android.view.*
import androidx.annotation.Nullable
import androidx.fragment.app.Fragment
import com.bumptech.glide.Glide
import com.bumptech.glide.load.resource.gif.GifDrawable
import com.bumptech.glide.request.target.ImageViewTarget
import kotlinx.android.synthetic.main.dialog_loading.view.*



class DialogLoading : Fragment() {

    //lateinit var tvLoadingTxt: TextView

    //private lateinit var endRequest: ImageView
    private lateinit var delegate: Interaction

    companion object {
        fun newInstance(delegate: Interaction): DialogLoading {
            val frag = DialogLoading()
            val args = Bundle()
            frag.delegate = delegate
            frag.arguments = args
            return frag
        }
    }


    interface Interaction {
        fun onCancel()
    }

    /*fun hideCancelButton() {
        if (::endRequest.isInitialized)
            endRequest.visibility = View.INVISIBLE
    }/home/javadroid/Downloads/load.gif

    fun showCancelButton() {
        if (::endRequest.isInitialized)
            endRequest.visibility = View.VISIBLE
    }*/

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        val view: View = inflater.inflate(
            R.layout.dialog_loading,
            container, false
        )

       // tvLoadingTxt = view.tvLoadingTxt
        // endRequest = view.endRequest


        /* endRequest.setOnClickListener {
             delegate.onCancel()
         }*/

        Glide.with(activity!!)
            .asGif()
            .load(R.drawable.loading)
            //.centerCrop()
            .into(object : ImageViewTarget<GifDrawable>(view.imgIcon) {
                override fun setResource(@Nullable resource: GifDrawable?) {
                    view.imgIcon.setImageDrawable(resource)
                }
            })

        setAutoHide()
        return view
    }


    fun setAutoHide() {
      /*  Handler().postDelayed({
            delegate.onCancel()
            //dismiss()
        }, 2000)*/

    }

  /*  fun setTextLoading(txt: String) {
        if (txt.isNotEmpty())
            tvLoadingTxt.text = txt
        else
            tvLoadingTxt.text = activity!!.resources.getString(R.string.loadingTxt)

    }*/


    /* override fun onStart() {
         super.onStart()
         val dialog = dialog
         if (dialog != null) {
             dialog.setCancelable(false)
             val width = ViewGroup.LayoutParams.MATCH_PARENT
             val height = ViewGroup.LayoutParams.WRAP_CONTENT
             dialog.window!!.setLayout(width, height)
         }
     }
 */
    /*override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        dialog!!.window!!.setSoftInputMode(
            WindowManager.LayoutParams.SOFT_INPUT_STATE_VISIBLE
        )
        dialog!!.window!!.requestFeature(Window.FEATURE_NO_TITLE)
        dialog!!.setCancelable(false)
        dialog!!.window!!.setLayout(
            ViewGroup.LayoutParams.MATCH_PARENT,
            ViewGroup.LayoutParams.WRAP_CONTENT
        )
        dialog!!.window!!.setBackgroundDrawable(ColorDrawable(Color.TRANSPARENT))
        dialog!!.window!!.setGravity(Gravity.CENTER)

        dialog!!.window!!.setSoftInputMode(WindowManager.LayoutParams.SOFT_INPUT_STATE_HIDDEN)

        dialog!!.setCanceledOnTouchOutside(false)

    }*/


}